---
title: URLSearchParams.getAll()
slug: Web/API/URLSearchParams/getAll
tags:
  - API
  - Method
  - URL API
  - URLSearchParams
  - getAll
---
<p>{{ApiRef("URL API")}}</p>

<p>The <strong><code>getAll()</code> </strong>method of the {{domxref("URLSearchParams")}} interface returns all the values associated with a given search parameter as an array. </p>

<p>{{availableinworkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">URLSearchParams.getAll(<em>name</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>name</dt>
 <dd>The name of the parameter to return.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>An array of {{domxref("USVString")}}s.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">let url = new URL('https://example.com?foo=1&amp;bar=2');
let params = new URLSearchParams(url.search.slice(1));

//Add a second foo parameter.
params.append('foo', 4);

console.log(params.getAll('foo')) //Prints ["1","4"].
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('URL', '#dom-urlsearchparams-getall', "getAll()")}}</td>
   <td>{{Spec2('URL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.URLSearchParams.getAll")}}</p>
</div>
